Skip to main content
GET
/
savings
/
orders
/
{id}
Get savings order by ID
curl --request GET \
  --url https://{host}/savings/orders/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-user-id: <x-user-id>'
{
  "id": "7501d8537fb3fc001234abcd",
  "displayId": "ORD-ABC123",
  "side": "Buy",
  "status": "Settled",
  "consideration": {
    "currency": "EUR",
    "amount": 200
  },
  "isin": "GB00B4T6HZ73",
  "settledAt": "2024-07-12T00:00:00.000Z",
  "createdAt": "2024-07-11T10:00:00Z",
  "filledAt": "2024-07-11T15:45:00Z"
}

Authorizations

Authorization
string
header
required

Auth0-issued access token that includes the scopes listed for the endpoint.

Headers

x-user-id
string
required

User identifier for the M2M client to specify which user's data to access.

Pattern: ^[a-f0-9]{24}$

Path Parameters

id
string
required

Savings order identifier (MongoDB ObjectId)

Pattern: ^[a-f0-9]{24}$

Response

Savings order retrieved successfully

id
string
required

Savings order identifier.

side
enum<string>
required

Direction of the savings order (Buy for top up, Sell for withdrawal).

Available options:
Buy,
Sell
status
enum<string>
required

Current order status.

Available options:
Pending,
Matched,
Rejected,
Settled,
Cancelled
isin
string
required

ISIN of the savings product.

consideration
object
required

Savings order consideration with currency and amount.

displayId
string

User-friendly display identifier for the order (e.g. ORD-ABC123).

quantity
number<double>

Order quantity (optional).

settledAt
string<date-time> | null

ISO datetime when the savings order is expected to settle.

fees
object

Fee breakdown for the savings order (optional).

createdAt
string<date-time>

Timestamp when the order was created (optional).

filledAt
string<date-time> | null

ISO datetime when order was matched

unitPrice
object

Price per unit in major units (e.g. 1.00 for €1.00).

fxRate
object

Exchange rate used for currency conversion (optional, present for foreign currency orders).

isCancellable
boolean

Whether the order can be cancelled by the user.